Delete snapshot repository
- DELETE /platform/configuration/snapshots/repositories/{repository_name}
Deletes the snapshot repository configuration.
Path Parameters
-
repository_namestringrequired -
The name of the snapshot repository configuration.
Query Parameters
-
cleanup_deploymentsboolean · default: false Removes references to this snapshot repository configuration and disables snapshots on the clusters that were referencing this configuration. If a request is made to delete a repository configuration that has already been deleted and this parameter is set to true and clusters still reference the configuration, then the request will have the side effects of removing references and disabling snapshots for clusters that reference the previously deleted configuration.
Responses
successful operation
Response Type: EmptyResponse
Delete snapshot repository config
Response Type: EmptyResponse
Failed to delete references and disable snapshots in one or more referencing clusters.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request